extends Control


# Declare member variables here. Examples:
# var a = 2
# var b = "text"


# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta):
#	pass


func _on_any_text_changed(new_text):
	BundlePost.setSongArtist($HBoxContainer/GridContainer/GridContainer/ArtistEdit.text)
	BundlePost.setSongTitle($HBoxContainer/GridContainer/GridContainer/SongEdit.text)
	match $HBoxContainer/GridContainer/GridContainer/CompletionDropdown.selected:
		0:
			BundlePost.setCompletionType(BundlePost.CompletionTypeOptions.OpenSeed)
		1:
			BundlePost.setCompletionType(BundlePost.CompletionTypeOptions.SoloCompletion)
		2:
			BundlePost.setCompletionType(BundlePost.CompletionTypeOptions.DuetCompletion)
		3:
			BundlePost.setCompletionType(BundlePost.CompletionTypeOptions.AllHarmony)
		4:
			BundlePost.setCompletionType(BundlePost.CompletionTypeOptions.AllMelody)
	BundlePost.setSongTitle($HBoxContainer/GridContainer/GridContainer/SongEdit.text)
	BundlePost.setTags($HBoxContainer/GridContainer/GridContainer/TagsEdit.text)
	$HBoxContainer/Panel/GridContainer/PostContent.text = BundlePost.getFinalText()
	pass # Replace with function body.


func _on_Control_ready():
	$HBoxContainer/GridContainer/GridContainer/CompletionDropdown.add_item("Open Seed - part of a duet")
	$HBoxContainer/GridContainer/GridContainer/CompletionDropdown.add_item("Solo Completion")
	$HBoxContainer/GridContainer/GridContainer/CompletionDropdown.add_item("Duet Completion")
	$HBoxContainer/GridContainer/GridContainer/CompletionDropdown.add_item("All Harmony Seed")
	$HBoxContainer/GridContainer/GridContainer/CompletionDropdown.add_item("All Melody Seed")
	pass # Replace with function body.
